Skip to content
Developers
Time off

Create a time off request

POST /time-off

POST
/time-off

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/api/v1/time-off" \  -H "Content-Type: application/json" \  -d '{    "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",    "timeOffTypeId": "019cb675-c4d6-7e90-8806-25e5145c3a06",    "startDate": "2026-02-03",    "endDate": "2026-02-05",    "availability": 0,    "reason": "Vacation",    "status": "pending"  }'
{
  "data": {
    "userId": "019cb675-c4df-7f8b-8a83-5f28581f5e7e",
    "timeOffTypeId": "019cb675-c4d6-7e90-8806-25e5145c3a06",
    "startDate": "2026-02-03",
    "endDate": "2026-02-05",
    "availability": 0,
    "reason": "Vacation",
    "status": "pending"
  }
}
Empty
Empty
Empty
Empty